# Veilleuse

Petit projet de veilleuse pour ma fille. Mais je pense qu'il va y avoir des demandes ;p

# Projet 

Le projet se base sur la [Glowing Moon](https://www.thingiverse.com/thing:2531838) auquel j'ai greffé un arduino nano, des led RGB, une photoresistance. 

# BOM 

* Les parties à imprimer en 3D
* Un arduino nano (ou autre chose)
* Des leds RGB `ws2812b` ou autre chose supporté par `Adafuit_Neopixel`. Dans mon cas, une barrette de 8 diodes
* Une resistance de 10kΩ 
* Un photoresistance 

# Configuration du code

Les principales valeurs à adapter sont les suivantes : 

```c
// Config Leds
#define PIN          2
#define NUMPIXELS    8

// Config Photoresistance
#define LIGHT_SENSOR A0

// Config couleur
#define R 255
#define G 128
#define B 56

// Config seuil
#define ON_LEVEL 200
#define OFF_LEVEL 500
0
```

